Intermittent jsreftest shutdown crash [@ js_Interpret]

RESOLVED WORKSFORME

Status

()

defect
--
critical
RESOLVED WORKSFORME
9 years ago
7 years ago

People

(Reporter: philor, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
macOS
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1272824338.1272825620.26346.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central opt test jsreftest on 2010/05/02 11:18:58
s: talos-r3-leopard-031

REFTEST FINISHED: Slowest test took 13095ms (file:///Users/cltbld/talos-slave/mozilla-central-leopard-opt-u-jsreftest/build/jsreftest/tests/jsreftest.html?test=js1_8_1/trace/trace-test.js)
REFTEST INFO | Result summary:
REFTEST INFO | Successful: 54013 (54013 pass, 0 load only)
REFTEST INFO | Unexpected: 0 (0 unexpected fail, 0 unexpected pass, 0 unexpected asserts, 0 unexpected fixed asserts, 0 failed load, 0 exception)
REFTEST INFO | Known problems: 906 (92 known fail, 0 known asserts, 658 random, 156 skipped)
REFTEST INFO | Total canvas count = 0
REFTEST INFO | Quitting...
TEST-UNEXPECTED-FAIL | automation.py | Exited with code 1 during test run
INFO | automation.py | Application ran for: 0:05:20.507413
INFO | automation.py | Reading PID log: /var/folders/Xr/Xr--yJnSEY0U11ET5NZuMU+++TM/-Tmp-/tmpNXZQjApidlog
PROCESS-CRASH | automation.py | application crashed (minidump found)
Operating system: Mac OS X
                  10.5.8 9L31a
CPU: x86
     GenuineIntel family 6 model 23 stepping 10
     2 CPUs

Crash reason:  EXC_BAD_ACCESS / KERN_PROTECTION_FAILURE
Crash address: 0x104

Thread 0 (crashed)
 0  libmozjs.dylib!js_Interpret [jsobj.h:6ffa228a5897 : 310 + 0x3]
    eip = 0x002683d7   esp = 0xbfffd540   ebp = 0xbfffd828   ebx = 0x0025e1b1
    esi = 0x0000f940   edi = 0x00000046   eax = 0x00000000   ecx = 0x0065b9c9
    edx = 0x00000002   efl = 0x00210206
    Found by: given as instruction pointer in context
 1  libmozjs.dylib!js_Invoke [jsinterp.cpp:6ffa228a5897 : 842 + 0xa]
    eip = 0x0026eab7   esp = 0xbfffd830   ebp = 0xbfffd928
    Found by: previous frame's frame pointer
 2  libmozjs.dylib!js_InternalInvoke [jsinterp.cpp:6ffa228a5897 : 899 + 0x1c]
    eip = 0x0026f56e   esp = 0xbfffd930   ebp = 0xbfffd968
    Found by: previous frame's frame pointer
 3  libmozjs.dylib!JS_CallFunctionValue [jsapi.cpp:6ffa228a5897 : 4945 + 0x32]
    eip = 0x0020efce   esp = 0xbfffd970   ebp = 0xbfffd998
    Found by: previous frame's frame pointer
 4  XUL!nsXPCWrappedJSClass::CallQueryInterfaceOnJSObject(XPCCallContext&, JSObject*, nsID const&) [xpcwrappedjsclass.cpp:6ffa228a5897 : 318 + 0x31]
    eip = 0x0217842b   esp = 0xbfffd9a0   ebp = 0xbfffda68
    Found by: previous frame's frame pointer
 5  XUL!nsXPCWrappedJSClass::DelegatedQueryInterface(nsXPCWrappedJS*, nsID const&, void**) [xpcwrappedjsclass.cpp:6ffa228a5897 : 708 + 0x1c]
    eip = 0x02178d2d   esp = 0xbfffda70   ebp = 0xbfffdb88
    Found by: previous frame's frame pointer
 6  XUL!nsXPCWrappedJS::QueryInterface(nsID const&, void**) [xpcwrappedjs.cpp:6ffa228a5897 : 185 + 0x19]
    eip = 0x02174c3a   esp = 0xbfffdb90   ebp = 0xbfffdbc8
    Found by: previous frame's frame pointer
 7  XUL!nsCOMPtr_base::assign_from_qi_with_error(nsQueryInterfaceWithError const&, nsID const&) [nsCOMPtr.cpp : 64 + 0x11]
    eip = 0x02d0dab3   esp = 0xbfffdbd0   ebp = 0xbfffdc08
    Found by: previous frame's frame pointer
 8  XUL!NS_GetWeakReference(nsISupports*, unsigned int*) [mozilla-central::6ffa228a5897 : 580 + 0x12]
    eip = 0x02d10319   esp = 0xbfffdc10   ebp = 0xbfffdc58
    Found by: previous frame's frame pointer
 9  XUL!nsObserverList::RemoveObserver(nsIObserver*) [mozilla-central::6ffa228a5897 : 110 + 0xf]
    eip = 0x02d1efe4   esp = 0xbfffdc60   ebp = 0xbfffdca8
    Found by: previous frame's frame pointer
10  XUL!nsObserverService::RemoveObserver(nsIObserver*, char const*) [nsObserverService.cpp:6ffa228a5897 : 153 + 0xe]
    eip = 0x02d1f6dc   esp = 0xbfffdcb0   ebp = 0xbfffdcd8
    Found by: previous frame's frame pointer
11  XUL!NS_InvokeByIndex_P [xptcinvoke_unixish_x86.cpp:6ffa228a5897 : 179 + 0x3f]
    eip = 0x02d63238   esp = 0xbfffdce0   ebp = 0xbfffdd08
    Found by: previous frame's frame pointer
12  XUL!XPCWrappedNative::CallMethod(XPCCallContext&, XPCWrappedNative::CallMode) [xpcwrappednative.cpp:6ffa228a5897 : 2993 + 0x26]
    eip = 0x0217f1de   esp = 0xbfffdd10   ebp = 0xbfffe108
    Found by: previous frame's frame pointer
13  XUL!XPC_WN_CallMethod(JSContext*, JSObject*, unsigned int, long*, long*) [xpcwrappednativejsops.cpp:6ffa228a5897 : 1770 + 0xf]
    eip = 0x0218527e   esp = 0xbfffe110   ebp = 0xbfffe1f8
    Found by: previous frame's frame pointer
14  libmozjs.dylib!js_Invoke [jsinterp.cpp:6ffa228a5897 : 834 + 0x2a]
    eip = 0x0026e7c3   esp = 0xbfffe200   ebp = 0xbfffe2f8
    Found by: previous frame's frame pointer
15  libmozjs.dylib!js_Interpret [jsops.cpp:6ffa228a5897 : 2244 + 0x20]
    eip = 0x0025ec61   esp = 0xbfffe300   ebp = 0xbfffe5e8
    Found by: previous frame's frame pointer
16  libmozjs.dylib!js_Invoke [jsinterp.cpp:6ffa228a5897 : 842 + 0xa]
    eip = 0x0026eab7   esp = 0xbfffe5f0   ebp = 0xbfffe6e8
    Found by: previous frame's frame pointer
17  XUL!nsXPCWrappedJSClass::CallMethod(nsXPCWrappedJS*, unsigned short, XPTMethodDescriptor const*, nsXPTCMiniVariant*) [xpcwrappedjsclass.cpp:6ffa228a5897 : 1696 + 0x2a]
    eip = 0x0217ab21   esp = 0xbfffe6f0   ebp = 0xbfffea78
    Found by: previous frame's frame pointer
18  XUL!nsXPCWrappedJS::CallMethod(unsigned short, XPTMethodDescriptor const*, nsXPTCMiniVariant*) [xpcwrappedjs.cpp:6ffa228a5897 : 570 + 0x20]
    eip = 0x021747d3   esp = 0xbfffea80   ebp = 0xbfffeaa8
    Found by: previous frame's frame pointer
19  XUL!PrepareAndDispatch [xptcstubs_unixish_x86.cpp:6ffa228a5897 : 93 + 0x28]
    eip = 0x02d67195   esp = 0xbfffeab0   ebp = 0xbfffeb68
    Found by: previous frame's frame pointer
20  XUL!nsXPTCStubBase::Stub3() + 0x2f
    eip = 0x02d63280   esp = 0xbfffeb70   ebp = 0xbfffeb88
    Found by: previous frame's frame pointer
21  XUL!nsObserverList::NotifyObservers(nsISupports*, char const*, unsigned short const*) [nsObserverList.cpp:6ffa228a5897 : 130 + 0x19]
    eip = 0x02d1f3ee   esp = 0xbfffeb90   ebp = 0xbfffebc8
    Found by: previous frame's frame pointer
22  XUL!nsObserverService::NotifyObservers(nsISupports*, char const*, unsigned short const*) [nsObserverService.cpp:6ffa228a5897 : 182 + 0x19]
    eip = 0x02d1f7ba   esp = 0xbfffebd0   ebp = 0xbfffebf8
    Found by: previous frame's frame pointer
23  XUL!nsNavHistory::Observe(nsISupports*, char const*, unsigned short const*) [nsNavHistory.cpp:6ffa228a5897 : 5732 + 0x21]
    eip = 0x02bd0566   esp = 0xbfffec00   ebp = 0xbfffec98
    Found by: previous frame's frame pointer
24  XUL!nsObserverList::NotifyObservers(nsISupports*, char const*, unsigned short const*) [nsObserverList.cpp:6ffa228a5897 : 130 + 0x19]
    eip = 0x02d1f3ee   esp = 0xbfffeca0   ebp = 0xbfffecd8
    Found by: previous frame's frame pointer
25  XUL!nsObserverService::NotifyObservers(nsISupports*, char const*, unsigned short const*) [nsObserverService.cpp:6ffa228a5897 : 182 + 0x19]
    eip = 0x02d1f7ba   esp = 0xbfffece0   ebp = 0xbfffed08
    Found by: previous frame's frame pointer
26  XUL!nsXREDirProvider::DoShutdown() [nsXREDirProvider.cpp:6ffa228a5897 : 877 + 0x1c]
    eip = 0x0213e1d2   esp = 0xbfffed10   ebp = 0xbfffed48
    Found by: previous frame's frame pointer
27  XUL + 0x3ef7
    eip = 0x02136ef8   esp = 0xbfffed50   ebp = 0xbfffed98
    Found by: previous frame's frame pointer
28  XUL!XRE_main [nsAppRunner.cpp:6ffa228a5897 : 1078 + 0xd]
    eip = 0x0213b22f   esp = 0xbfffeda0   ebp = 0xbffff2a8
    Found by: previous frame's frame pointer
29  firefox-bin!main [nsBrowserApp.cpp:6ffa228a5897 : 158 + 0x18]
    eip = 0x00001d48   esp = 0xbffff2b0   ebp = 0xbffff308
    Found by: previous frame's frame pointer
30  firefox-bin + 0xbf5
    eip = 0x00001bf6   esp = 0xbffff310   ebp = 0xbffff328
    Found by: previous frame's frame pointer
31  0x6
    eip = 0x00000007   esp = 0xbffff330   ebp = 0x00000000
    Found by: previous frame's frame pointer
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273864846.1273865447.9165.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central opt test jsreftest on 2010/05/14 12:20:46
s: talos-r3-leopard-046
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273876825.1273879600.9419.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central opt test jsreftest on 2010/05/14 15:40:25
s: talos-r3-leopard-038
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273879954.1273881382.16955.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central opt test jsreftest on 2010/05/14 16:32:34
s: talos-r3-leopard-046
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273893549.1273894190.12410.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central opt test jsreftest on 2010/05/14 20:19:09
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274009145.1274010737.573.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central opt test jsreftest on 2010/05/16 04:25:45
s: talos-r3-leopard-023
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274083504.1274085114.6704.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central opt test jsreftest on 2010/05/17 01:05:04
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274141602.1274142961.1762.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central opt test jsreftest on 2010/05/17 17:13:22
s: talos-r3-leopard-023
Severity: normal → critical
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274240649.1274244919.12362.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central opt test jsreftest on 2010/05/18 20:44:09
s: talos-r3-leopard-024
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274243499.1274248199.26076.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central opt test jsreftest on 2010/05/18 21:31:39
s: talos-r3-leopard-047
Status: NEW → RESOLVED
Closed: 8 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.